Xerces 3.1.1

## org.apache.wml.dom
Class WMLGoElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.wml.dom.WMLElementImpl
                                    |
                                    +--org.apache.wml.dom.WMLGoElementImpl

public class WMLGoElementImpl
extends WMLElementImpl
implements WMLGoElement

Version:
  $Id: WMLGoElementImpl.java,v 1.1 2000/04/23 18:07:47 david Exp $
See Also:
  Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`WMLGoElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` `getAcceptCharset()`
`java.lang.String` `getClassName()`
`java.lang.String` `getHref()`
`java.lang.String` `getId()`
`java.lang.String` `getMethod()`
`java.lang.String` `getSendreferer()`
`void` `setAcceptCharset(java.lang.String newValue)`
`void` `setClassName(java.lang.String newValue)` The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` `setHref(java.lang.String newValue)`
`void` `setId(java.lang.String newValue)` The element's identifier which is unique in a single deck.
`void` `setMethod(java.lang.String newValue)`
`void` `setSendreferer(java.lang.String newValue)`

Methods inherited from class org.apache.wml.dom.WMLElementImpl
`getXmlLang, setXmlLang`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMLGoElementImpl

    public WMLGoElementImpl(WMLDocumentImpl owner,
                            java.lang.String tagName)

Method Detail

### setSendreferer

    public void setSendreferer(java.lang.String newValue)

  Specified by:
    setSendreferer in interface WMLGoElement

### getSendreferer

    public java.lang.String getSendreferer()

  Specified by:
    getSendreferer in interface WMLGoElement

### setAcceptCharset

    public void setAcceptCharset(java.lang.String newValue)

  Specified by:
    setAcceptCharset in interface WMLGoElement

### getAcceptCharset

    public java.lang.String getAcceptCharset()

  Specified by:
    getAcceptCharset in interface WMLGoElement

### setHref

    public void setHref(java.lang.String newValue)

  Specified by:
    setHref in interface WMLGoElement

### getHref

    public java.lang.String getHref()

  Specified by:
    getHref in interface WMLGoElement

### setClassName

    public void setClassName(java.lang.String newValue)

  Description copied from interface: WMLElement
  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)
  Overrides:
    setClassName in class WMLElementImpl

### getClassName

    public java.lang.String getClassName()

  Overrides:
    getClassName in class WMLElementImpl

### setId

    public void setId(java.lang.String newValue)

  Description copied from interface: WMLElement
  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)
  Overrides:
    setId in class WMLElementImpl

### getId

    public java.lang.String getId()

  Overrides:
    getId in class WMLElementImpl

### setMethod

    public void setMethod(java.lang.String newValue)

  Specified by:
    setMethod in interface WMLGoElement

### getMethod

    public java.lang.String getMethod()

  Specified by:
    getMethod in interface WMLGoElement

Xerces 3.1.1